#include "adv0.h"
#include "adv3.h"
int p1()
{
   if (p2() || loop) return 0;
   if (p3() || loop) return 0;
   if (p4() || loop) return 0;
   if (p5() || loop) return 0;
   if (p6() || loop) return 0;
   if (p7() || loop) return 0;
   if (p8() || loop) return 0;
   if (p9() || loop) return 0;
   if (p10() || loop) return 0;
   if (p11() || loop) return 0;
   if (p12() || loop) return 0;
   if (p13() || loop) return 0;
   if (p14() || loop) return 0;
   if (p15() || loop) return 0;
   if (p16() || loop) return 0;
   if (p17() || loop) return 0;
   if (p18() || loop) return 0;
   if (p19() || loop) return 0;
   if (p20() || loop) return 0;
   if (p21() || loop) return 0;
   if (p22() || loop) return 0;
   return 1;
}
int p23()
{
   if (p24() || loop) return 0;
   if (p25() || loop) return 0;
   return 1;
}
int p27()
{
   if (p28() || loop) return 0;
   if (p29() || loop) return 0;
   return 1;
}
int p32()
{
   if (p33() || loop) return 0;
   if (p34() || loop) return 0;
   return 1;
}
int p35()
{
   if (p36() || loop) return 0;
   if (p37() || loop) return 0;
   return 1;
}
int p50()
{
   if (p51() || loop) return 0;
   if (p52() || loop) return 0;
   return 1;
}
int p53()
{
   if (p54() || loop) return 0;
   if (p55() || loop) return 0;
   return 1;
}
int p56()
{
   if (p57() || loop) return 0;
   if (p58() || loop) return 0;
   return 1;
}
int p59()
{
   if (p60() || loop) return 0;
   if (p61() || loop) return 0;
   if (p62() || loop) return 0;
   return 1;
}
int p66()
{
   if (p67() || loop) return 0;
   if (p68() || loop) return 0;
   return 1;
}
int p70()
{
   if (p71() || loop) return 0;
   if (p72() || loop) return 0;
   if (p73() || loop) return 0;
   return 1;
}
int p74()
{
   if (p75() || loop) return 0;
   if (p76() || loop) return 0;
   if (p77() || loop) return 0;
   return 1;
}
int p78()
{
   if (p79() || loop) return 0;
   if (p80() || loop) return 0;
   if (p81() || loop) return 0;
   return 1;
}
int p84()
{
   if (p85() || loop) return 0;
   if (p86() || loop) return 0;
   return 1;
}
int p87()
{
   if (p88() || loop) return 0;
   if (p89() || loop) return 0;
   return 1;
}
int p90()
{
   if (p91() || loop) return 0;
   if (p92() || loop) return 0;
   return 1;
}
int p93()
{
   if (p94() || loop) return 0;
   if (p95() || loop) return 0;
   return 1;
}
int p117()
{
   if (p118() || loop) return 0;
   if (p119() || loop) return 0;
   return 1;
}
int p120()
{
   if (p121() || loop) return 0;
   if (p122() || loop) return 0;
   return 1;
}
int p126()
{
   if (p127() || loop) return 0;
   if (p128() || loop) return 0;
   if (p129() || loop) return 0;
   if (p130() || loop) return 0;
   if (p131() || loop) return 0;
   if (p132() || loop) return 0;
   return 1;
}
int p136()
{
   if (p137() || loop) return 0;
   if (p138() || loop) return 0;
   return 1;
}
int p139()
{
   if (p140() || loop) return 0;
   if (p141() || loop) return 0;
   return 1;
}
int p150()
{
   if (p151() || loop) return 0;
   if (p152() || loop) return 0;
   return 1;
}
int p164()
{
   if (p165() || loop) return 0;
   if (p166() || loop) return 0;
   return 1;
}
int p167()
{
   if (p168() || loop) return 0;
   if (p169() || loop) return 0;
   return 1;
}
int p178()
{
   if (p179() || loop) return 0;
   if (p180() || loop) return 0;
   return 1;
}
int p192()
{
   if (p193() || loop) return 0;
   if (p194() || loop) return 0;
   if (p195() || loop) return 0;
   return 1;
}
int p197()
{
   if (p198() || loop) return 0;
   if (p199() || loop) return 0;
   if (p200() || loop) return 0;
   if (p201() || loop) return 0;
   return 1;
}
int p204()
{
   if (p205() || loop) return 0;
   if (p206() || loop) return 0;
   return 1;
}
int p208()
{
   if (p209() || loop) return 0;
   if (p210() || loop) return 0;
   return 1;
}
int p211()
{
   if (p212() || loop) return 0;
   if (p213() || loop) return 0;
   return 1;
}
int p215()
{
   if (p216() || loop) return 0;
   if (p217() || loop) return 0;
   return 1;
}
int p218()
{
   if (p219() || loop) return 0;
   if (p220() || loop) return 0;
   return 1;
}
int p222()
{
   if (p223() || loop) return 0;
   if (p224() || loop) return 0;
   if (p225() || loop) return 0;
   return 1;
}
int p226()
{
   if (p227() || loop) return 0;
   if (p228() || loop) return 0;
   return 1;
}
int p234()
{
   if (p235() || loop) return 0;
   if (p236() || loop) return 0;
   return 1;
}
int p245()
{
   if (p246() || loop) return 0;
   if (p247() || loop) return 0;
   return 1;
}
int p263()
{
   if (p264() || loop) return 0;
   if (p265() || loop) return 0;
   return 1;
}
int p315()
{
   if (p316() || loop) return 0;
   if (p317() || loop) return 0;
   return 1;
}
int p320()
{
   if (p321() || loop) return 0;
   if (p322() || loop) return 0;
   return 1;
}
int p325()
{
   if (p326() || loop) return 0;
   if (p327() || loop) return 0;
   return 1;
}
int p333()
{
   if (p334() || loop) return 0;
   if (p335() || loop) return 0;
   return 1;
}
int p351()
{
   if (p352() || loop) return 0;
   if (p353() || loop) return 0;
   return 1;
}
int p360()
{
   if (p361() || loop) return 0;
   if (p362() || loop) return 0;
   return 1;
}
int p404()
{
   if (p405() || loop) return 0;
   if (p406() || loop) return 0;
   return 1;
}
int p408()
{
   if (p409() || loop) return 0;
   if (p410() || loop) return 0;
   return 1;
}
int p412()
{
   if (p413() || loop) return 0;
   if (p414() || loop) return 0;
   return 1;
}
int p415()
{
   if (p416() || loop) return 0;
   if (p417() || loop) return 0;
   return 1;
}
int p419()
{
   if (p420() || loop) return 0;
   if (p421() || loop) return 0;
   return 1;
}
int p422()
{
   if (p423() || loop) return 0;
   if (p424() || loop) return 0;
   return 1;
}
int p426()
{
   if (p427() || loop) return 0;
   if (p428() || loop) return 0;
   if (p429() || loop) return 0;
   if (p430() || loop) return 0;
   if (p431() || loop) return 0;
   return 1;
}
int p434()
{
   if (p435() || loop) return 0;
   if (p436() || loop) return 0;
   return 1;
}
int p438()
{
   if (p439() || loop) return 0;
   if (p440() || loop) return 0;
   return 1;
}
int p445()
{
   if (p446() || loop) return 0;
   if (p447() || loop) return 0;
   if (p448() || loop) return 0;
   return 1;
}
int p451()
{
   if (p452() || loop) return 0;
   if (p453() || loop) return 0;
   if (p454() || loop) return 0;
   if (p455() || loop) return 0;
   if (p456() || loop) return 0;
   if (p457() || loop) return 0;
   if (p458() || loop) return 0;
   if (p459() || loop) return 0;
   if (p460() || loop) return 0;
   if (p461() || loop) return 0;
   if (p462() || loop) return 0;
   return 1;
}
int p469()
{
   if (p470() || loop) return 0;
   if (p471() || loop) return 0;
   return 1;
}
int p472()
{
   if (p473() || loop) return 0;
   if (p474() || loop) return 0;
   return 1;
}
int p477()
{
   if (p478() || loop) return 0;
   if (p479() || loop) return 0;
   if (p480() || loop) return 0;
   if (p481() || loop) return 0;
   return 1;
}
int p485()
{
   if (p486() || loop) return 0;
   if (p487() || loop) return 0;
   return 1;
}
int p488()
{
   if (p489() || loop) return 0;
   if (p490() || loop) return 0;
   return 1;
}
int p491()
{
   if (p492() || loop) return 0;
   if (p493() || loop) return 0;
   if (p494() || loop) return 0;
   return 1;
}
int p497()
{
   if (p498() || loop) return 0;
   if (p499() || loop) return 0;
   return 1;
}
int p519()
{
   if (p520() || loop) return 0;
   if (p521() || loop) return 0;
   return 1;
}
int p527()
{
   if (p528() || loop) return 0;
   if (p529() || loop) return 0;
   return 1;
}
int p533()
{
   if (p534() || loop) return 0;
   if (p535() || loop) return 0;
   if (p536() || loop) return 0;
   return 1;
}
int p537()
{
   if (p538() || loop) return 0;
   if (p539() || loop) return 0;
   if (p540() || loop) return 0;
   return 1;
}
int p541()
{
   if (p542() || loop) return 0;
   if (p543() || loop) return 0;
   return 1;
}
int p549()
{
   if (p550() || loop) return 0;
   if (p551() || loop) return 0;
   return 1;
}
int p553()
{
   if (p554() || loop) return 0;
   if (p555() || loop) return 0;
   return 1;
}
int p556()
{
   if (p557() || loop) return 0;
   if (p558() || loop) return 0;
   return 1;
}
int p567()
{
   if (p568() || loop) return 0;
   if (p569() || loop) return 0;
   return 1;
}
int p572()
{
   if (p573() || loop) return 0;
   if (p574() || loop) return 0;
   return 1;
}
int p575()
{
   if (p576() || loop) return 0;
   if (p577() || loop) return 0;
   return 1;
}
int p583()
{
   if (p584() || loop) return 0;
   if (p585() || loop) return 0;
   if (p586() || loop) return 0;
   if (p587() || loop) return 0;
   return 1;
}
int p590()
{
   if (p591() || loop) return 0;
   if (p592() || loop) return 0;
   return 1;
}
int p593()
{
   if (p594() || loop) return 0;
   if (p595() || loop) return 0;
   if (p596() || loop) return 0;
   if (p597() || loop) return 0;
   if (p598() || loop) return 0;
   return 1;
}
int p612()
{
   if (p613() || loop) return 0;
   if (p614() || loop) return 0;
   return 1;
}
int p620()
{
   if (p621() || loop) return 0;
   if (p622() || loop) return 0;
   if (p623() || loop) return 0;
   return 1;
}
int p627()
{
   if (p628() || loop) return 0;
   if (p629() || loop) return 0;
   return 1;
}
int p630()
{
   if (p631() || loop) return 0;
   if (p632() || loop) return 0;
   return 1;
}
int p633()
{
   if (p634() || loop) return 0;
   if (p635() || loop) return 0;
   if (p636() || loop) return 0;
   if (p637() || loop) return 0;
   return 1;
}
int p638()
{
   if (p639() || loop) return 0;
   if (p640() || loop) return 0;
   if (p641() || loop) return 0;
   return 1;
}
int p643()
{
   if (p644() || loop) return 0;
   if (p645() || loop) return 0;
   return 1;
}
int p646()
{
   if (p647() || loop) return 0;
   if (p648() || loop) return 0;
   return 1;
}
int p649()
{
   if (p650() || loop) return 0;
   if (p651() || loop) return 0;
   return 1;
}
int p654()
{
   if (p655() || loop) return 0;
   if (p656() || loop) return 0;
   return 1;
}
int p0(void)
{return 0;}
